

*===============================================================================
* Figure 2
*===============================================================================
estimates clear

preserve

keep if Productivity == 1

levelsof country, local(countries)

foreach country of local countries {
rename gender_management gender_management_`country'
eststo `country': svy:  reg lnvapw gender_management_`country' i.a5a i.size_group i.region if country == "`country'"
rename gender_management_`country' gender_management
}

coefplot *, keep(gender_management_*) yline(0)  ylab(-2(0.5)2) vertical ytitle("Gender productivity gap") sort ///
legend(row(2) position(6)) citop level(95) graphregion(color(white)) xtitle("") xlabel(, nolabels)

capture graph export "${path_output}\Figures\Figure2.png", replace


restore 
 
*===============================================================================
* Figure 1
*===============================================================================

 preserve
  svyset, clear
  svyset sampling_unit [pweight=base_wt], strata(strata) singleunit(scaled)
  keep if Productivity == 1
  svy: tab region , count format(%12.0fc)

reghdfe lnvapw i.size_group [pw = $weight3], absorb(region a5a, savefe) noconst

  bysort region: egen share_FTM  = mean(gender_management)
  bysort region: egen region_productivity = mean(__hdfe1__)

  tw scatter share_FTM region_productivity, mlabel(region) ytitle("Share of Female Top Managers") xtitle("Regional Productivity")  graphregion(color(white) margin(large))  legend(off) || (lfit share_FTM region_productivity if country != "Ghana" )
  
   graph export "$path_output\Figures\Figure1.png", as(png) replace
  

  