
**************************************************************************************************************************************************************************
************************************************************** Appendix C *******************************************************************************************************
**************************************************************************************************************************************************************************

*===============================================================================
* Table C1
*===============================================================================


*************************************************************
global control_index "i.a5a##i.region formality mhc_index"
*************************************************************

eststo reg01:svy: reg lnvapw gender_management i.a5a##i.region formality
eststo reg02:svy: reg lnvapw gender_management $control_index
eststo reg03:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp $control_index 
eststo reg04:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp tech_max_gbf_firm $control_index 
eststo reg05:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp tech_int_gbf_firm $control_index 
eststo reg06:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp tech_max_sbf_firm $control_index 
eststo reg07:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp tech_int_sbf_firm $control_index 


qui estadd local sector "Yes": reg01 reg02 reg03 reg04 reg05 reg06 reg07 
qui estadd local country "Yes": reg01 reg02 reg03 reg04 reg05 reg06 reg07 

esttab reg01 reg02 reg03 reg04 reg05 reg06 reg07 using "${path_output}\Tables\TableC1", star(* 0.10 ** 0.05 *** 0.01) replace f b se label booktabs alignment(S) eqlabels(none)  mtitles("Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)")   order(gender_management ln_cap_pw ln_tot_emp tech_max_gbf_firm tech_int_gbf_firm tech_max_sbf_firm tech_int_sbf_firm) drop(*.region *.a5a) stats(sector country N r2, labels("Sector" "Region" "Observations" "R-squared"))  mgroups(, pattern(1 0 0 0 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))

**************************************************************************************************************************************************************************
************************************************************** OLS - Interaction *****************************************************************************************
**************************************************************************************************************************************************************************

*===============================================================================
* Table C3
*===============================================================================

eststo reg01:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp tech_max_gbf_firm gender_interaction_1 $control_index 
eststo reg02:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp tech_int_gbf_firm gender_interaction_2 $control_index 
eststo reg03:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp tech_max_sbf_firm gender_interaction_3 $control_index 
eststo reg04:svy: reg lnvapw gender_management ln_cap_pw ln_tot_emp tech_int_sbf_firm gender_interaction_4 $control_index 


qui estadd local sector "Yes": reg01 reg02 reg03 reg04
qui estadd local country "Yes": reg01 reg02 reg03 reg04

esttab reg01 reg02 reg03 reg04 using "${path_output}\Tables\TableC3", star(* 0.10 ** 0.05 *** 0.01) replace f b se label booktabs alignment(S) eqlabels(none)  mtitles("Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)") order(gender_management tech_max_gbf_firm gender_interaction_1 tech_int_gbf_firm gender_interaction_2 tech_max_sbf_firm gender_interaction_3 tech_int_sbf_firm gender_interaction_4) keep(gender_management tech_max_gbf_firm tech_int_gbf_firm tech_max_sbf_firm tech_int_sbf_firm gender_interaction_*) stats(sector country N r2, labels("Sector" "Region" "Observations" "R-squared"))  mgroups(, pattern(1 0 0 0 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))


**************************************************************************************************************************************************************************
******************************************************************************* 2SLS ************************************************************************************
**************************************************************************************************************************************************************************

*===============================================================================
* Table C2
*===============================================================================


eststo reg01: ivregress 2sls lnvapw i.a5a##i.region formality (gender_management = gender_ownership share_ftm) [pw = $weight3], first robust
estat firststage
mat fstat = r(singleresults)
estadd scalar fs = fstat[1,4] 
estat overid,forceweights 
mat ovride_lnvapw1 =  r(p_score)
estadd scalar J_stat = ovride_lnvapw1[1,1] : reg01

eststo reg02: ivregress 2sls lnvapw $control_index ln_cap_pw  ln_tot_emp (gender_management = gender_ownership share_ftm) [pw = $weight3], first robust
estat firststage
mat fstat = r(singleresults)
estadd scalar fs = fstat[1,4] 
estat overid,forceweights 
mat ovride_lnvapw2 =  r(p_score)
estadd scalar J_stat = ovride_lnvapw2[1,1] : reg02

eststo reg03: ivregress 2sls lnvapw $control_index ln_cap_pw ln_tot_emp tech_max_gbf_firm (gender_management = gender_ownership share_ftm) [pw = $weight3], first robust
estat firststage
mat fstat = r(singleresults)
estadd scalar fs = fstat[1,4] 
estat overid,forceweights 
mat ovride_lnvapw3 =  r(p_score)
estadd scalar J_stat = ovride_lnvapw3[1,1] : reg03

eststo reg04: ivregress 2sls lnvapw $control_index ln_cap_pw ln_tot_emp tech_int_gbf_firm (gender_management = gender_ownership share_ftm) [pw = $weight3], first robust
estat firststage
mat fstat = r(singleresults)
estadd scalar fs = fstat[1,4] 
estat overid,forceweights 
mat ovride_lnvapw4 =  r(p_score)
estadd scalar J_stat = ovride_lnvapw4[1,1] : reg04

eststo reg05: ivregress 2sls lnvapw $control_index ln_cap_pw ln_tot_emp tech_max_sbf_firm (gender_management = gender_ownership share_ftm) [pw = $weight3], first robust
estat firststage
mat fstat = r(singleresults)
estadd scalar fs = fstat[1,4] 
estat overid,forceweights 
mat ovride_lnvapw5 =  r(p_score)
estadd scalar J_stat = ovride_lnvapw5[1,1] : reg05

eststo reg06: ivregress 2sls lnvapw $control_index ln_cap_pw ln_tot_emp tech_int_sbf_firm (gender_management = gender_ownership share_ftm) [pw = $weight3], first robust
estat firststage
mat fstat = r(singleresults)
estadd scalar fs = fstat[1,4] 
estat overid,forceweights 
mat ovride_lnvapw6 =  r(p_score)
estadd scalar J_stat = ovride_lnvapw6[1,1] : reg06

eststo reg07: ivregress 2sls lnvapw $control_index (gender_management = gender_ownership share_ftm) [pw = $weight3], first robust
estat firststage
mat fstat = r(singleresults)
estadd scalar fs = fstat[1,4] 
estat overid,forceweights 
mat ovride_lnvapw7 =  r(p_score)
estadd scalar J_stat = ovride_lnvapw7[1,1] : reg07


qui estadd local sector "Yes": reg01 reg02 reg03 reg04 reg05 reg06 reg07 
qui estadd local country "Yes": reg01 reg02 reg03 reg04 reg05 reg06 reg07 

matrix J_stat = (ovride_lnvapw1, ovride_lnvapw7, ovride_lnvapw2, ovride_lnvapw3, ovride_lnvapw4, ovride_lnvapw5, ovride_lnvapw6)
estadd matrix J_stat, replace

esttab reg01 reg07 reg02 reg03 reg04 reg05 reg06 using "${path_output}\Tables\TableC2", star(* 0.10 ** 0.05 *** 0.01) replace f b se label booktabs alignment(S) eqlabels(none)  mtitles("Ln(VAPW)" "Ln(VAPW)" "Ln(VAPW)") order(gender_management ln_cap_pw ln_tot_emp tech_max_gbf_firm tech_int_gbf_firm tech_max_sbf_firm tech_int_sbf_firm)  drop(*.region *.a5a) stats(sector country N r2 fs J_stat, labels("Sector" "Region" "Observations" `"\(R^{2}\)"' `"\(F\)"' `"\(J\)"' ))  mgroups(, pattern(1 0 0 0 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))

**************************************************************************************************************************************************************************
******************************************************************************* 2SLS INTERACTION *************************************************************************
**************************************************************************************************************************************************************************

*===============================================================================
* Table C4
*===============================================================================
clear matrix
foreach num of numlist 1/4 {
	
eststo iv_`num': ivregress 2sls lnvapw ln_cap_pw ln_tot_emp  technology_`num'  i.a5a##i.region i.formality mhc_index (gender_management gender_interaction_`num' = share_ftm gender_ownership technology_interaction_`num' ownership_interaction_`num') [pw = $weight3], first robust	
	
estat firststage
mat fstat = r(multiresults)
estadd scalar fs_1 = fstat[1,2] : iv_`num'
estadd scalar fs_2 = fstat[2,2] : iv_`num'

estat overid, forceweights 
mat ride_`num' =  r(p_score)
estadd scalar F = ride_`num'[1,1] : iv_`num'

}


matrix F = (ride_1, ride_2, ride_3, ride_4)
estadd matrix F, replace


qui estadd local sector "Yes": iv_1 iv_2 iv_3 iv_4 
qui estadd local country "Yes": iv_1 iv_2 iv_3 iv_4 

esttab iv_1 iv_2 iv_3 iv_4 using "${path_output}\Tables\TableC4", star(* 0.10 ** 0.05 *** 0.01) replace f b se label booktabs alignment(S) eqlabels(none)  mtitles("Productivity" "Productivity" "Productivity" "Productivity") order(gender_management ln_cap_pw ln_tot_emp  technology_1 gender_interaction_1 technology_2 gender_interaction_2 technology_3 gender_interaction_3 technology_4 gender_interaction_4) keep(gender_management technology_1 gender_interaction_1 technology_2 gender_interaction_2 technology_3 gender_interaction_3 technology_4 gender_interaction_4) stats(N r2 fs_1 fs_2 F, labels("Observations" `"\(R^{2}\)"' "Shea's R-squared" "Shea's R-squared" `"\(J\)"' ))  mgroups(, pattern(1 0 0 0 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
